Solved: rawspeed problem compiling darktable

(Kevin Saruwatari) #1

did a git pull today (30Apr2019) and got this error when I tried to build:

You have called ADD_LIBRARY for library rawspeed without any source files. This typically indicates a problem with your CMakeLists.txt file

– Configuring incomplete, errors occurred!

tried:
git pull --recurse-submodules

and it responded:
Fetching submodule src/external/rawspeed
Already up-to-date.

Been Googling for quite awhile but not finding help. Can anyone shed a light on this please?

Thanks!

Kev

(darix) #2
  • on which distros/OS are you?
  • did it work before?
  • you can “git submodule init” in the past?
(Kevin Saruwatari) #3

Right, sorry! Lubuntu 16.04 kernel 4.15.0-48

My install is compiled and I believe I did upgrade it with a pull previously.

I did do a a git submodule init and a git submodule update while troubleshooting earlier this morning.

Thanks!

Kev

(darix) #4

16.04 wont be enough for master anymore. we need gtk 3.22 now.

for newer distros you can find packages here. you can check against the dsc file if you have all build deps

(Kevin Saruwatari) #5

Okay good to know! I’ve been waiting for regular Ubuntu to settle down with Gnome a little more and then I’m planning on going vanilla again.

Thanks Darix!

(darix) #6

well the latest LTS (18.04) is settling for a year now. :wink: how much slower do you want to be?:stuck_out_tongue:

1 Like
(Kevin Saruwatari) #7

I’ve kinda forgotten about it! I don’t even remember the issue that steered me away from 18.04. Something to do with either systemd or Wayland I think. There was some reason I took it off.

1 Like
(Mica) #8

You can install the flatpaks or snap on 16.04 to get the latest darktable.

(Kevin Saruwatari) #9

Interesting! I haven’t played with snaps yet. Just curious how often are they built or what is the typical lag time from from when the changes hit Git?

(Mica) #10

I am not sure how fast the snap gets updated. It seems like it is pretty quick, the git repo is here: https://github.com/kyrofa/darktable-snap

I use the flatpak and I can tell you that it is updated the day of release or even slightly before. I’ve gone to contribute an update several times only to see that @matze has beat me to it.

(Kevin Saruwatari) #11

I’ll have to do some more research and pick a route. I played with containers on my servers several years ago but haven’t used them on my workstation yet. Thanks for the help!

(Kevin Saruwatari) #12

I tried the flatpak but it took me back to 2.6.2. I did a release upgrade to 18.04 and darktable quit running. I’m trying to recompile but I get this error:

CMake Warning at CMakeLists.txt:337 (find_package):
Could not find a configuration file for package “LLVM” that is compatible
with requested version “7”.

The following configuration files were considered but not accepted:

/usr/lib/llvm-5.0/cmake/LLVMConfig.cmake, version: 5.0.1

I tried Googling but didn’t find a anything that helped me. Any suggestions?

Kev

P.S. I looks at the DSC link but I don’t know how to use it.

(Mica) #13

That is the current stable release.

(Kevin Saruwatari) #14

I installed clang8 and now I’m back to the rawspeed error that I couldn’t solve initially:

You have called ADD_LIBRARY for library rawspeed without any source files. This typically indicates a problem with your CMakeLists.txt file

Any suggestions on how to fix this?

Thanks!

Kev

(Roman Lebedev) #15

That is not the error that fails the build.
Please post the entirety of cmake output,
starting with entering an empty build directory.

(Kevin Saruwatari) #16

Sorry, newb here: how do I empty the build directory?

(Mica) #17

Go into the folder called build and remove all the files in there.

(Kevin Saruwatari) #18

That did it! Thank you very much! I did see a thread on libxml2 that discussed my problem.